List Procore projects in a company
import requests
url = "https://api.datagrid.com/v1/procore/companies/{company_id}/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/procore/companies/{company_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/procore/companies/{company_id}/projects \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"name": "<string>",
"company_id": "<string>",
"project_number": "<string>",
"active": true
}
],
"has_more": true,
"next_page": 123
}{
"status_code": 123,
"error": "<string>",
"message": "<string>",
"details": {
"reason": "<string>",
"unresolved": [
{
"token": "<string>",
"reason": "not-found"
}
]
}
}{
"status_code": 123,
"error": "procore_not_connected",
"message": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Procore
List Procore projects in a company
Lists the Procore projects the authenticated user’s own Procore session can access in one company, including inactive projects. Pages with page / per_page, passed through to Procore.
GET
/
procore
/
companies
/
{company_id}
/
projects
List Procore projects in a company
import requests
url = "https://api.datagrid.com/v1/procore/companies/{company_id}/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/procore/companies/{company_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/procore/companies/{company_id}/projects \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"name": "<string>",
"company_id": "<string>",
"project_number": "<string>",
"active": true
}
],
"has_more": true,
"next_page": 123
}{
"status_code": 123,
"error": "<string>",
"message": "<string>",
"details": {
"reason": "<string>",
"unresolved": [
{
"token": "<string>",
"reason": "not-found"
}
]
}
}{
"status_code": 123,
"error": "procore_not_connected",
"message": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Procore company ID (digits only).
Pattern:
^[0-9]+$Query Parameters
1-based page number. Values below 1 are treated as 1.
Required range:
x >= 1Items per page. Values above 100 are clamped to 100.
Required range:
1 <= x <= 100